package cd.casic.plugin.register.group.filter.impl;


import cd.casic.plugin.register.group.AnnotationUtils;
import cd.casic.plugin.register.group.filter.PluginClassFilter;
import cd.casic.plugin.utils.dBUtils.annotation.Entity;

public class DataBaseEntityFilter implements PluginClassFilter {
    public static final String GROUP_NAME = "database_entity";
    @Override
    public String groupName() {
        return GROUP_NAME;
    }

    @Override
    public void initialize() {

    }

    @Override
    public boolean filter(Class<?> clazz) {
        return AnnotationUtils.hasAnnotations(clazz, false, Entity.class);
    }
}
